
/*  Robot Player - ICFP 2002 
 *
 *	Andrew Mann <amann@tccgi.com>
 *
 *
 */


#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "errors.h"
#include "game.h"
#include "protocol.h"
#include "logic.h"

char *author="Andrew Mann";
char *email="am_spm@tccgi.com";



void banner(FILE *ofp)
{
	fprintf(ofp,"A Robot Player for the ICFP 2002 Programming Contest.\n");
	fprintf(ofp,"Author: %s <%s>\n\n",author,email);
}


void usage(FILE *ofp,char *filename)
{
	fprintf(ofp,"Usage: %s (host) (port)\n\n",filename);

}


char *host;
int port;

int main(int argc,char **argv)
{
	int rval;

	banner(stderr);

	if (argc<3)
	{
		usage(stderr,argv[0]);
		
		/* Maybe just the host is given */
		if (argc==2)
			host=argv[1];
		else
			host="localhost";

		/* Port is definately missing */
		port=20005;

		fprintf(stderr,"Insufficient connection information given (missing host or port).\n");
	} else {
		host=argv[1];
		port=atoi(argv[2]);
	}


	fprintf(stderr,"Trying host: %s at port %d.\n",host,port);


		
	rval=game_main(host,port);

	fprintf(stderr,"Final score: %d\n",ginfo.my_score);

	if (FAILURE(rval))
	{
		fprintf(stderr,"Fatal error returned from main game loop: %s\n",GetErrorString(rval));
		exit(1);
	}

	return 0;

}


